Kernel regularly logs: Bluetooth: hci0: last event is not cmd complete (0x0f)

Bug #1748565 reported by Cristian Aravena Romero on 2018-02-09
306
This bug affects 65 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
Fedora
New
Undecided
Unassigned
linux (Ubuntu)
Low
Unassigned
Bionic
Low
Unassigned
Cosmic
Low
Unassigned
Disco
Low
Unassigned

Bug Description

=== SRU Justification ===
[Impact]
Kernel constantly reports "Bluetooth: hci0: last event is not cmd
complete (0x0f)" when using Bluetooth.

[Fix]
If the HCI event is Command Status, just bail because there's no further
thing to do.

[Test]
Open Gnome Control Center's Bluetooth panel to start BT scan. The kernel
keeps spewing out the messege.
After applying the patch the message doesn't show anymore.

[Regression Potential]
Low. Upstream patch and succesfully tested.

=== Original Bug Report ===

Hello,

dmesg:
[ 3363.056494] Bluetooth: hci0: last event is not cmd complete (0x0f)

Regards,
--
Cristian

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: linux-image-4.15.0-9-generic 4.15.0-9.10
ProcVersionSignature: Ubuntu 4.15.0-9.10-generic 4.15.2
Uname: Linux 4.15.0-9-generic x86_64
ApportVersion: 2.20.8-0ubuntu8
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: caravena 1811 F.... pulseaudio
CurrentDesktop: ubuntu-communitheme:ubuntu:GNOME
Date: Fri Feb 9 20:35:29 2018
InstallationDate: Installed on 2017-10-13 (119 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Alpha amd64 (20170926)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 530U3C/530U4C
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.15.0-9-generic root=UUID=707d0f89-4b1d-4432-9d50-6058dc4c1ee9 ro rootflags=subvol=@ quiet splash vt.handoff=1
RelatedPackageVersions:
 linux-restricted-modules-4.15.0-9-generic N/A
 linux-backports-modules-4.15.0-9-generic N/A
 linux-firmware 1.170
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 04/15/2013
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: P14AAJ
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: SAMSUNG_NP1234567890
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: FAB1
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: 0.1
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvrP14AAJ:bd04/15/2013:svnSAMSUNGELECTRONICSCO.,LTD.:pn530U3C/530U4C:pvr0.1:rvnSAMSUNGELECTRONICSCO.,LTD.:rnSAMSUNG_NP1234567890:rvrFAB1:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvr0.1:
dmi.product.family: ChiefRiver System
dmi.product.name: 530U3C/530U4C
dmi.product.version: 0.1
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

CVE References

Created attachment 274023
dmesg_4.15.1-041501-generic.txt

Hello,

dmesg:
[16913.264855] Bluetooth: hci0: last event is not cmd complete (0x0f)
[16929.268759] Bluetooth: hci0: last event is not cmd complete (0x0f)
[16945.268709] Bluetooth: hci0: last event is not cmd complete (0x0f)
[16961.269687] Bluetooth: hci0: last event is not cmd complete (0x0f)
[16977.268584] Bluetooth: hci0: last event is not cmd complete (0x0f)
[16993.271505] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17009.270469] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17025.271301] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17041.272302] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17057.272169] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17073.273102] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17089.274086] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17105.275068] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17121.272849] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17137.273809] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17153.272709] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17169.272609] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17185.274537] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17201.273468] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17217.273402] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17233.275352] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17249.275230] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17265.276188] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17281.276125] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17297.278061] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17313.277950] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17329.276863] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17345.275835] Bluetooth: hci0: last event is not cmd complete (0x0f)
[17361.278702] Bluetooth: hci0: last event is not cmd complete (0x0f)

Regards,
--
Cristian

Created attachment 274025
#lspci -vvnn

Hello,

Open bug in launchpad.net
https://bugs.launchpad.net/bugs/1748565

Regards,
--
Cristian

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Daniel van Vugt (vanvugt) wrote :

Is bluetooth working for you? I mean are you only reporting the log message, or is bluetooth also not working?

summary: - Bluetooth: hci0: last event is not cmd complete (0x0f)
+ [Intel 6235] Bluetooth: hci0: last event is not cmd complete (0x0f)

Hello Daniel,

> Is bluetooth working for you?

Yes, work for my

> I mean are you only reporting the log message, or is bluetooth also not working?

It sounds cut

Regards,
--
Cristian

Daniel van Vugt (vanvugt) wrote :

Are you experiencing problems with bluetooth audio?

Confirmed this bug occurs with other bluetooth dongles too.

summary: - [Intel 6235] Bluetooth: hci0: last event is not cmd complete (0x0f)
+ Bluetooth: hci0: last event is not cmd complete (0x0f)
Daniel van Vugt (vanvugt) wrote :

Still incomplete awaiting an answer to comment #5.

I suspect this log message is getting confused for bluetooth audio skipping, but I think those might be separate issues.

Bulent Besim (bbesim) wrote :

My problem was related to a faulty Bluetooth device. Sorry about the noise, please disregard. Thanks!

bugrasan (bugrasan) wrote :

i can confirm this issue. bluetooth is working fine (keyboard & mouse).
however makes my console unusable since the message appears every couple of secs.

summary: - Bluetooth: hci0: last event is not cmd complete (0x0f)
+ Kernel regularly logs: Bluetooth: hci0: last event is not cmd complete
+ (0x0f)

Hello,

I have the same issue, reproduce able with a cheap Wii controller.
It works fine with the Wii/Wii U itself but refuses to pair with my Bluetooth dongle:

"Broadcom Corp. BCM20702A0 Bluetooth 4.0"
(not intel)

All I get is
"Bluetooth: hci0: last event is not cmd complete (0x0f)"

kernel: 4.15.8

I will attach a pcap which hopefully shows what is going on.

Created attachment 274695
bluetooth pcap during pair

Seeing similar messages with 4.16-rc4
[ 17.617214] Bluetooth: hci0: BCM: chip id 90
[ 17.620448] Bluetooth: hci0: BCM: features 0x0f
[ 17.626236] Bluetooth: hci0: BCM4324B5
[ 18.320710] Bluetooth: hci0: BCM (002.006.006) build 1170
[...]
[ 59.373938] Bluetooth: hci0: last event is not cmd complete (0x0f)

Björn Hauffe (bjoern-hauffe) wrote :

Confirm that issue too. Message is only printed when Bluetooth controller is discovering for devices.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Patryk Jankun (inoperable) wrote :

confirming, imac 27 late 2013
Bluetooth: hci0: last event is not cmd complete (0x0f)

Hergeir Lognberg (hergeirs) wrote :

I'm also getting the same error: "Bluetooth: hci0: last event is not cmd complete (0x0f)"
The message always appears as Bluetooth audio starts to skip.

Also the device keeps disconnecting and reconnecting.
There is no message specific to when the device disconnects.
But every time the device reconnects it gets mapped with new input number:

Relevant exerpt:
"
[ +4,517247] input: 00:17:04:00:1F:AF as /devices/virtual/input/input22
[apr14 22:20] input: 00:17:04:00:1F:AF as /devices/virtual/input/input23
[apr14 22:22] input: 00:17:04:00:1F:AF as /devices/virtual/input/input24
[apr14 22:23] input: 00:17:04:00:1F:AF as /devices/virtual/input/input25
[ +27,459091] Bluetooth: hci0: last event is not cmd complete (0x0f)
[apr14 22:24] input: 00:17:04:00:1F:AF as /devices/virtual/input/input26
[ +4,048215] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ +16,005045] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ +16,315024] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ +15,891021] Bluetooth: hci0: last event is not cmd complete (0x0f)
[apr14 22:25] Bluetooth: hci0: last event is not cmd complete (0x0f)
[apr14 22:27] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ +9,471958] input: 00:17:04:00:1F:AF as /devices/virtual/input/input27
[ +6,452024] Bluetooth: hci0: last event is not cmd complete (0x0f)
"

Fredrik Normann (smartypants) wrote :

I think this is related to suspend.

If I reboot my computer, and pair my headset, I get sound.

when I suspend my computer and try to turn on the bluetooth connection I get the error message dmesg.

Ubuntu 17.04 did not have this problem, but 17.10 and 18.04 has.

Fredrik Normann (smartypants) wrote :

[27656.334177] usb 1-7: USB disconnect, device number 5
[27712.841243] usb 1-7: new full-speed USB device number 11 using xhci_hcd
[27712.990551] usb 1-7: New USB device found, idVendor=8087, idProduct=0a2b
[27712.990556] usb 1-7: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[27712.993366] Bluetooth: hci0: Bootloader revision 0.0 build 26 week 38 2015
[27712.994365] Bluetooth: hci0: Device revision is 16
[27712.994367] Bluetooth: hci0: Secure boot is enabled
[27712.994369] Bluetooth: hci0: OTP lock is enabled
[27712.994370] Bluetooth: hci0: API lock is enabled
[27712.994372] Bluetooth: hci0: Debug lock is disabled
[27712.994375] Bluetooth: hci0: Minimum firmware build 1 week 10 2014
[27712.994850] Bluetooth: hci0: Found device firmware: intel/ibt-12-16.sfi
[27714.572396] Bluetooth: hci0: Waiting for firmware download to complete
[27714.572400] Bluetooth: hci0: Firmware loaded in 1543294 usecs
[27714.572517] Bluetooth: hci0: Waiting for device to boot
[27714.584421] Bluetooth: hci0: Device booted in 11674 usecs
[27714.584469] Bluetooth: hci0: Found Intel DDC parameters: intel/ibt-12-16.ddc
[27714.587439] Bluetooth: hci0: Applying Intel DDC parameters completed
[27719.936384] Bluetooth: hci0: last event is not cmd complete (0x0f)
[27735.811353] Bluetooth: hci0: last event is not cmd complete (0x0f)
[27751.680367] Bluetooth: hci0: last event is not cmd complete (0x0f)
[27766.592465] Bluetooth: hci0: advertising data len corrected
[27769.863398] Bluetooth: hci0: last event is not cmd complete (0x0f)

lukyluke (luca-tagliacozzo) wrote :
Download full text (5.3 KiB)

In my case I have the same issue
4.15.0-15-generic #16-Ubuntu SMP Wed Apr 4 13:58:14 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

If I type
 dmesg | grep -i bluetooth
I get:

[ 2.233539] usb 1-1.4: Product: DW375 Bluetooth Module
[ 35.812010] Bluetooth: Core ver 2.22
[ 35.812026] Bluetooth: HCI device and connection manager initialized
[ 35.812029] Bluetooth: HCI socket layer initialized
[ 35.812032] Bluetooth: L2CAP socket layer initialized
[ 35.812037] Bluetooth: SCO socket layer initialized
[ 36.487377] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 36.487378] Bluetooth: BNEP filters: protocol multicast
[ 36.487381] Bluetooth: BNEP socket layer initialized
[ 63.484470] Bluetooth: RFCOMM TTY layer initialized
[ 63.484478] Bluetooth: RFCOMM socket layer initialized
[ 63.484487] Bluetooth: RFCOMM ver 1.11
[ 460.003598] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 475.007411] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 490.005426] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 505.007211] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 520.003265] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 535.006019] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 550.002996] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 565.005810] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 580.006797] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 595.005627] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 610.005595] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 625.006373] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 640.005272] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 655.006210] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 670.007190] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 685.005978] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 700.003936] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 715.005885] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 730.002791] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 736.002704] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 751.005650] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 766.002556] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 781.005387] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 796.005311] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 811.003208] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 826.004147] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 841.001988] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 856.002863] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 871.006809] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 886.005745] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 901.005710] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 916.004466] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 931.006359] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 946.002300] Bluetooth: hci0: last event is not...

Read more...

Daniel van Vugt (vanvugt) wrote :

I recommend anyone who wishes to contribute to this bug do so in the upstream bug where the Bluetooth developers are: https://bugzilla.kernel.org/show_bug.cgi?id=198699

I've the same issue with Airconsole Pro 2.0

[ 5939.146759] Bluetooth: hci0: last event is not cmd complete (0x0f)

Peter Pan (f2008922) wrote :

Hey, this is actually a 18.04 _show stopper_!

The Bluetooth devices of all 16.04->18.04 upgraded pc's (no matter which controller)
becomes completely unusable :-(

Daniel van Vugt (vanvugt) wrote :

This is probably not a showstopper. You are confusing Bluetooth bugs for a probably harmless bluetooth log message. This but is about the latter.

If something is "completely unusable" then please log a new bug for that.

For me it happens in my laptop with a ath3k bluetooth:

(rmmod and modprobe btusb)

[ 6660.407324] usbcore: registered new interface driver btusb
[ 6696.003058] Bluetooth: hci0: last event is not cmd complete (0x0f)

When trying to discover a cheap Bluetooth audio headphones, however they work in Android mobile, but is not discoverable in my laptop due to this message.

Created attachment 275955
imagea50acc.PNG

Hartelijk dank voor uw email-bericht.

Ik ben afwezig t/m maandag 28 mei 2018 en heb beperkt toegang tot mijn mail.
Voor dringende zaken kunt u contact opnemen met de Servicedesk op 085 1110777 of via <email address hidden>.

Met vriendelijke groet,
Danny Rotmeijer

Met vriendelijke groet,

IT creation | Danny Rotmeijer
technisch consultant

[https://www.itcreation.nl]<https://www.itcreation.nl>
T +31 (0) 85 111 0 777
W www.itcreation.nl
E <email address hidden>
S <email address hidden>

[cid:image1de678.PNG@550de897.439dd27f]

________________________________

Disclaimer

1. This e-mail is meant for the intended recipient only. If you have received this by mistake, you are kindly requested to notify the sender and then delete the e-mail from your system; access to, disclosure, copying and/or distribution of this e-mail by anyone other than the intended recipient is prohibited.

2. If you, as intended recipient, have received this e-mail incorrectly, please notify the sender immediately. This e-mail is confidential and may be legally privileged. IT Creation B.V. does not guarantee that the information disclosed in or attached to this e-mail is correct and does not accept any liability for damages related thereto.

Created attachment 275957
image1de678.PNG

Lin Xu Hua (joelin215) wrote :

Confirm this issue too.

laptop : dell xps 15 9550
linux : 4.15.0-20-generic #21-Ubuntu SMP Tue Apr 24 06:16:15 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux
bluetooth device :
Device xxxxxxxxxxx (public)
 Name: Bluetooth Mouse M557
 Alias: Bluetooth Mouse M557
 Class: 0x00002580
 Icon: input-mouse
 Paired: no
 Trusted: yes
 Blocked: no
 Connected: no
 LegacyPairing: yes
 UUID: Service Discovery Serve.. (00001000-0000-1000-8000-00805f9b34fb)
 UUID: Human Interface Device... (00001124-0000-1000-8000-00805f9b34fb)
 UUID: PnP Information (00001200-0000-1000-8000-00805f9b34fb)
 Modalias: usb:v046DpB010d1001
 RSSI: -36

May 16 09:35:55 joelin-XPS-15-9550 kernel: [ 124.383807] Bluetooth: hci0: last event is not cmd complete (0x0f)
May 16 09:35:57 joelin-XPS-15-9550 bluetoothd[1053]: Can't get HIDP connection info
May 16 09:35:57 joelin-XPS-15-9550 bluetoothd[1053]: connect error: Connection refused (111)
May 16 09:36:11 joelin-XPS-15-9550 kernel: [ 140.255753] Bluetooth: hci0: last event is not cmd complete (0x0f)

Hi All,

What might help for those of yoy with a broadcom wifi/bt combo card is making sure you've a so called patch-ram for your BT controller in place.

Run "dmesg > dmesg.log" shortly after a boot. Likely you will find a message about missing firmware for the bluetooth in dmesg.log. If the bluetooth part of your wifi/bt combo card is USB based (it likely is) you can find firmware files for it here:
https://github.com/winterheart/broadcom-bt-firmware

Please try putting a firmware file from there (with the right name) under /lib/firmware/brcm and then reboot. Please do a second:

dmesg > dmesg2.log

After the reboot with the firmware in place and check that the firmware now is being loaded. Once you've confirmed that the firmware is being loaded, you can check if the problem is now fixed.

Regards,

Hans

This error can be ignored as code is same as before message was changed from debug to error. We need to figure out if this code should also handle Command Status event.

https://www.spinics.net/lists/linux-bluetooth/msg75102.html

Joseph Youngquist (jyoungqu) wrote :

I've been running 18.04 on a MacBook Pro (early 2011) and my Bluetooth Ultrathin Touch Mouse worked just fine as did my touchpad for the past month or so.

Then last night I noticed that my touchpad didn't work but Bluetooth mouse did just fine. This morning there was a software update and now Bluetooth mouse bounces between connected and disconnected for a few seconds (about 30 or so) and then just settles on "Disconnected". While the mouse show's connected it doesn't work - the pointer doesn't move when moving the mouse and button clicks don't register either.

I've entered in dmesg | grep Blue and get the same:
"Bluetooth: hci0: last event is not cmd complete (0x0f)"

I can connect my mouse to my Mac OSX MacBook Pro (mid 2015) with no issue as well as to my Microsoft Surface, so I don't feel this is an issue with the mouse.

lukyluke (luca-tagliacozzo) wrote :

I also see that there are many devices I cannot pair to, e.g. my Bambo slate, it is discovered fine on my other pcs but just does not appear in the devices list as I make it discoverable and run

I from withing bluethootctl I start to search for a device, some of them show up some don't
my bluethooth hardware is:
Bus 001 Device 003: ID 413c:8187 Dell Computer Corp. DW375 Bluetooth Module
and the kernel keeps reporting the same error
[ 1116.036012] Bluetooth: hci0: last event is not cmd complete (0x0f)

over and over

In my case the error actually effects my ability to pair with several devices,
my card is
Bus 001 Device 003: ID 413c:8187 Dell Computer Corp. DW375 Bluetooth Module
I can see the device from older distributions.

Daniel van Vugt (vanvugt) wrote :

This bug is not about Bluetooth failing. This bug is only about the kernel log message, which seems to happen even when everything is apparently working.

If you experience a failure of any sort then please log a new bug.

I have the same issue on the fresh install of Ubuntu 18.04

Alexey Zagarin (zagarin) wrote :

I can't make the headset microphone work and I see this in dmesg when I try to switch the profile from A2DP to HSP/HFP in settings. The profile isn't switching though.

Daniel van Vugt (vanvugt) wrote :

Alexey, see comment #23.

cslotty (christine-slotty) wrote :

I second comment #14 - that's what happens on my device, too.

cslotty (christine-slotty) wrote :

I.e. - most of the time, after having suspended my computer, it will not connect to bluetooth and I have to reboot. So this bug _is_ about Bluetooth failing. At least until after a reboot. You could say, it's about "suspend" failing.

Daniel van Vugt (vanvugt) wrote :

The message:

Bluetooth: hci0: last event is not cmd complete (0x0f)

occurs even on machines where Bluetooth is working properly.

So it would be most helpful if anyone is experiencing actual problems to report those in a separate bug.

Jesbus (jessebusman) wrote :

I can confirm that I also get this message while using my bluetooth headphones. Bluetooth is working fine. This message makes my TTY console sessions completely unusable. For example when I'm editing a file using nano or vi the message is written on top of the file, wherever my cursor was.

In my case, it has nothing to do with suspend or sleep modes. I get the message after a full reboot as well. I'm using ubuntu 18.04.

Anupam Datta (adbd04) wrote :

Kernel regularly logs: Bluetooth: hci0: last event is not cmd complete (0x0f) and I am unable to play anything via bluetooth. Speaker gets connected but can not play audio.

Daniel van Vugt (vanvugt) wrote :

This bug is not related to playback failures. Please log a NEW bug for that by running:

  ubuntu-bug bluez

Hello,

I am creating a new report:
https://bugs.launchpad.net/bugs/1788383

Regards,
--
Cristian Aravena Romero (caravena)

Daniel van Vugt (vanvugt) wrote :

Bug 1788383 is a duplicate of this one.

If you do log a new bug please describe a different issue to that described in this bug.

Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Anders Hall (a.hall) wrote :

"So it would be most helpful if anyone is experiencing actual problems to report those in a separate bug."

@Daniel
You might want to reconsider if this is related to Bluetooth failures, at least the message is specifically linked to Bluetooth connection issues as seen in my tests.

See https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1724919/comments/12

The logs show connection issues i have with Bluetooth, as described in https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1724919/comments/11

Daniel van Vugt (vanvugt) wrote :

I don't think so.

Because this error message happens all the time it's going to happen at the same time as other Bluetooth problems. So people will *think* it's related to those other problems because both occur concurrently in the log.

However because we already know this error message happens on healthy machines with no Bluetooth problems we believe that it's just a coincidence both issues happen concurrently, and that any actual problems should be reported as separate bugs.

Anders Hall (a.hall) wrote :

Ok, you didn't actually read my log output and assume things. The log message disappears completely WHEN my Bluetooth starts working. The actual opposite of your argument. I.e., the message only appears when my machine is "unhealthy". The message does not occur concurrently at all.

Regardless, I can redo my test say 3 times before/after suspend/reboot/logout and if the same pattern occurs it is not a coincident for sure. The message will then be related to the issues (already) reported in several other bug reports.

The coder behind this message is arguing, from what i can surmise, that this is an error that is not handled, not that it is a superfluous debug statement as seen in statements above: https://www.spinics.net/lists/linux-bluetooth/msg75270.html

Peter A. Bigot (pab-u) wrote :

WRT comment #46: Installing brcm/BCM20702A1-0b05-180a.hcd from winterheart had no effect on this or any other Bluetooth anomalies I've observed except eliminating the "Direct firmware load" error.

WRT comment #51: in my environment this co-occurs with Bluetooth functioning "correctly", i.e. the only issue I see is this error message. (However, I am only using LE, not audio/BR/EDR.)

I suspect it may be related to mixing HCI-based and D-Bus-based bluetooth control within or across applications, or to an application not properly stopping discovery before it shuts down. Or both.

Issuing a "power off" "power on" sequence from bluetoothctl stops the error message. Getting from "unhealthy Bluetooth" to "working Bluetooth" may involve a power cycle, fixing multiple problems.

Daniel van Vugt (vanvugt) wrote :

Everyone, if you would like this bug fixed then the most effective place to discuss it is directly with the Bluetooth/kernel developers here:

  https://bugzilla.kernel.org/show_bug.cgi?id=198699

I am facing the same trouble.
I can't air with some devices.
My card is :

08:00.0 Network controller [0280]: Intel Corporation Wireless 7260 [8086:08b1] (rev 73)
 Subsystem: Intel Corporation Wireless-N 7260 [8086:4062]
 Kernel driver in use: iwlwifi

This Bug seems to affect even basic HCI functionality:
"hcitool inq" is never returning in my case. dmesg gives me said error message.
I have tried two different USB-Bluetooth Dongles:

[ ] usb 2-2: New USB device found, idVendor=04b4, idProduct=f901, bcdDevice= 1.12
[ ] usb 2-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ ] usb 2-2: Product: CYW20704A2
[ ] usb 2-2: Manufacturer: Cypress Semi
[ ] Bluetooth: hci0: last event is not cmd complete (0x0f)

[ ] usb 2-2: New USB device found, idVendor=0a12, idProduct=0001, bcdDevice=88.91
[ ] usb 2-2: New USB device strings: Mfr=0, Product=2, SerialNumber=0
[ ] usb 2-2: Product: CSR8510 A10
[ ] Bluetooth: hci0: last event is not cmd complete (0x0f)

Also btmon/hcidump just seem to freeze:

< HCI Command: Inquiry (0x01|0x0001) plen 5 #1 [hci0] 10.211282
        Access code: 0x9e8b33 (General Inquiry)
        Length: 10.24s (0x08)
        Num responses: 0
> HCI Event: Command Status (0x0f) plen 4 #2 [hci0] 10.314299
      Inquiry (0x01|0x0001) ncmd 1
        Status: Success (0x00)

The only way to recover from this state is to issue a "hciconfig hci0 reset".

Same here with rtl8723de 4.18.16 latest rtl_bt firmware.

Pairing fails with an Edifier r2000db speaker.
I'm not sure, but i think pairing with an android device worked.

On failure bluezctl says something like connect attempt failed.

Same issue here with Fedora 28 and 29, using Gigabyte x470 Gaming 7 motherboard with an Intel Wifi and Bluetooth chipset.

Sergey (slixsl007) wrote :

Hello,
Has anybody checked Ubuntu 18.10?

manuel (sherlock.homeless) wrote :

Hello,
just installed Ubuntu 18.10 on a Lenovo E485 and got this error.

Confirming the issue on Dell Vostro 5468 with Intel Bluetooth adapter (8087:0a2a), OS Ubuntu 18.04.1, kernel version. 4.15.0-36-generic. Audio output appears to clog and tear second after log line shows in dmesg. This goes for 4-5 seconds, after which playback continues normally for another ~10 seconds.

Christoph (chrisdeath) wrote :

I confirm that too on Dell Precision 5530 (Intel Corporation Wireless-AC 9260) and Manjaro Cinnamon, Kernel 4.19.1
But it only occures if i have Bluetooth device discovery open and then only all 16s! So it must be related to that.
BT Headset is working anyway but sometimes interrupted but recovering.

Jason Croy (macore) wrote :

I've just installed Blueberry on Arch Linux 4.18.17.a-1-hardened and I get this bug as well.
dmesg shows several 'not cmd complete' followed by an input remap. I have only ever seen the message pop up when the Blueberry device manager is open. Last format (read: last week) I used Blueman and did not have this issue so the fault may lie in Blueberry. Skipping still occurs without Blueberry open but no errors are logged.

...
[ 1544.104905] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 1555.393338] input: 48:D6:D5:BB:12:02 as /devices/virtual/input/input54
...
[ 1663.107882] Bluetooth: hci0: last event is not cmd complete (0x0f)
[ 1668.694434] input: 48:D6:D5:BB:12:02 as /devices/virtual/input/input55
... etc

I also have the issue in Fedora 27 on Dell Inspiron 15 5570 with Qualcomm bluetooth (hciconfig -a hci0 shows that)

But in my case the sound from bluetooth speakers JBL Flip 4 is fine. I dind't experience any issues, only there are lot of messages in dmesg logs.

I'm experiencing the same issue on Debian 8 "Jessie" with a backported Kernel 4.18 and latest Intel Firmware for my Wireless card.

I'm testing on a Clevo compute with Intel Corporation Dual Band Wireless-AC 3168NGW.

Let me know if I can help, it's really annoying, I couldn't make the Bluetooth working on this computer.

Best regards,
Alex.

Vadim Andreyev (kolobast) wrote :

Same issue on latest Manjaro and Intel 7260. Bluetooth is unusable cause of this.

thomas (ioodioidentisti) wrote :

I got a similar problem: many "Bluetooth: hci0: last event is not cmd complete (0x0f)" in dmesg and the sound from the bluetooth speaker is distorted (but connected).

The problem goes away as soon as I close the "bluetooth setting" windows: basically the issue arises only while the controller is searching for new devices.

takeseem (takeseem) wrote :

$ tail -f /var/log/syslog
Dec 1 21:28:26 localhost kernel: [ 683.235091] Bluetooth: hci0: last event is not cmd complete (0x0f)

$ dmesg | grep -i bluetooth
[ 3.368473] bluetooth hci0: Direct firmware load for brcm/BCM20702A1-13d3-3404.hcd failed with error -2
[ 3.368475] Bluetooth: hci0: BCM: Patch brcm/BCM20702A1-13d3-3404.hcd not found

I use the step to fix, now I can send file to my phone with bluetooth, and use AirPods :)

https://unix.stackexchange.com/questions/359979/broadcom-bcm4352-bluetooth-does-not-connect?answertab=votes#tab-top

my step:
$ cd /lib/firmware/brcm
$ sudo wget https://github.com/winterheart/broadcom-bt-firmware/raw/master/brcm/BCM20702A1-13d3-3404.hcd
$ sudo modprobe -r btusb
$ sudo modprobe btusb

Observing the issue on Fedora 29 Cinnamon. I have Lenovo T440P laptop on which I am trying to connect my Bluetooth headsets (Sony MDR-XB650BT).

The Bluetooth is failing to even detect the headsets. At the same time, it can detect my smart bands, mobile phones, other laptops etc. The same headphones connect correctly on my Windows laptop.

In dmesg, I can see the messages as :

[717817.195781] Bluetooth: hci0: read Intel version: 3707100180012d0d00
[717817.198527] Bluetooth: hci0: Intel Bluetooth firmware file: intel/ibt-hw-37.7.10-fw-1.80.1.2d.d.bseq
[717817.394926] Bluetooth: hci0: Intel firmware patch completed and activated
[717818.100820] Bluetooth: hci0: last event is not cmd complete (0x0f)
[717849.196840] Bluetooth: hci0: last event is not cmd complete (0x0f)
[717906.393910] Bluetooth: hci0: last event is not cmd complete (0x0f)
[717922.201017] Bluetooth: hci0: last event is not cmd complete (0x0f)

The "last event is not cmd complete" is in most/all cases a red herring, so please don't focus on that. There's a patch in mainline that will remove it for all valid situations (i.e. when the command completed with command status instead of command complete): https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=1629db9c75342325868243d6bca5853017d91cf8

It seems like this issue has probably lots of different bugs mixed into it, all incorrectly attributing themselves to this misleading warning message, when in fact there's something unrelated going wrong. Those that are experiencing issues even after applying the patch I referred to, please open new issues, especially if the "last event is not cmd complete" message goes away for you with the patch. This one can probably be closed since the misleading message should now be gone.

Juozas Miškinis (joasis) wrote :

I'm having the same issue on my Dell 7559 with Intel Dual Band Wireless-AC 8265 (Wi-Fi/BT combo) since forever (around two years ago). Mouse and keyboard works. However, I cannot connect my phone, headset or bluetooth speaker. I'm using 4.20.3-arch1-1-ARCH with Gnome Shell 3.30.2.

I addition to already mentioned error, these also come up:

Jan 18 17:08:09 juozas-laptop pulseaudio[1051]: W: [pulseaudio] module-bluez5-device.c: Refused to switch profile to a2dp_sink: Not connected
Jan 18 17:08:15 juozas-laptop pulseaudio[1051]: W: [pulseaudio] module-bluez5-device.c: Refused to switch profile to a2dp_sink: Not connected
Jan 18 17:08:20 juozas-laptop bluetoothd[615]: Unable to get io data for Headset Voice gateway: getpeername: Transport endpoint is not connected (107)
Jan 18 17:11:44 juozas-laptop kernel: Bluetooth: hci0: ACL packet for unknown connection handle 256
Jan 18 17:12:32 juozas-laptop bluetoothd[615]: A0:10:81:85:3B:B2: error updating services: Connection timed out (110)

Daniel van Vugt (vanvugt) wrote :

As I suspected, the error:

  Bluetooth: hci0: last event is not cmd complete (0x0f)

is itself not a bug. The only bug is that the error was displayed when it shouldn't be. So if you have any actual Bluetooth bugs then they should probably be logged elsewhere. That is according to https://bugzilla.kernel.org/show_bug.cgi?id=198699#c24

It appears the "fix" to stop the error message appearing is in the mainline kernel 5.0 (AKA version 4.21) onward.

But again if you have any problems with the behaviour of Bluetooth then please open a new bug.

Changed in linux (Ubuntu):
importance: Medium → Low
Bartłomiej Żogała (nusch) wrote :

Why this have changed importance Medium->Low while it's the only method to further debug hardware/firmware problems on lot of platforms ?

Daniel van Vugt (vanvugt) wrote :

> it's the only method to further debug hardware/firmware problems on lot of platforms

I don't know if that is true, but if the message is legitimately being used in debugging then it will keep appearing in future.

For more information see comment #73 above and comment 24 in the kernel bug:
https://bugzilla.kernel.org/show_bug.cgi?id=198699#c24

Daniel van Vugt (vanvugt) wrote :

Specifically, instances of:

  hci0: last event is not cmd complete (0x0f)

are spurious so the message shouldn't be appearing at all. Because 0x0f == HCI_EV_CMD_STATUS. Just ignore the message. Future kernels won't show that message thanks to this fix from Intel:

  https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=1629db9c75342325868243d6bca5853017d91cf8

Comment 24 suggests to me that this bug should be closed (?). Because it seems to eliminate the possibility of the message appearing with (0x0f).

Daniel van Vugt (vanvugt) wrote :

I have verified the fix is in Ubuntu 19.04 disco.

Changed in linux (Ubuntu Disco):
status: Confirmed → Fix Released
Changed in linux (Ubuntu Cosmic):
status: New → Confirmed
Changed in linux (Ubuntu Bionic):
status: New → Confirmed
Changed in linux (Ubuntu Cosmic):
importance: Undecided → Low
Changed in linux (Ubuntu Bionic):
importance: Undecided → Low
Kai-Heng Feng (kaihengfeng) wrote :

That commit fixes the issue for me.

description: updated
Changed in linux (Ubuntu Bionic):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Cosmic):
status: Confirmed → Fix Committed
Daniel van Vugt (vanvugt) wrote :

^^^
Is that implying the fix is in proposed?

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-cosmic' to 'verification-done-cosmic'. If the problem still exists, change the tag 'verification-needed-cosmic' to 'verification-failed-cosmic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-cosmic
tags: added: verification-needed-bionic

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

Hello Cristian and everyone involved,

The Bionic and Cosmic kernels containing a fix for this issue are now in -proposed. Could anyone please verify if they fix the issue as expected?

Thank you.

Connor Kuehl (connork) wrote :

Hi all!

The Bionic and Cosmic kernels containing a fix for this issue are now in their "-proposed" repositories. Could someone please verify if they fix the issue you're experiencing?

For those reading that haven't done this before, here are instructions for enabling and using the "-proposed" repository: https://wiki.ubuntu.com/Testing/EnableProposed

Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (6.9 KiB)

This bug was fixed in the package linux - 4.18.0-18.19

---------------
linux (4.18.0-18.19) cosmic; urgency=medium

  * linux: 4.18.0-18.19 -proposed tracker (LP: #1822796)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction

  * 3b080b2564287be91605bfd1d5ee985696e61d3c in ubuntu_btrfs_kernel_fixes
    triggers system hang on i386 (LP: #1812845)
    - btrfs: raid56: properly unmap parity page in finish_parity_scrub()

  * [SRU][B/C/OEM]IOMMU: add kernel dma protection (LP: #1820153)
    - ACPI / property: Allow multiple property compatible _DSD entries
    - PCI / ACPI: Identify untrusted PCI devices
    - iommu/vt-d: Force IOMMU on for platform opt in hint
    - iommu/vt-d: Do not enable ATS for untrusted devices
    - thunderbolt: Export IOMMU based DMA protection support to userspace
    - iommu/vt-d: Disable ATS support on untrusted devices

  * Huawei Hi1822 NIC has poor performance (LP: #1820187)
    - net-next: hinic: fix a problem in free_tx_poll()
    - hinic: remove ndo_poll_controller
    - net-next/hinic: add checksum offload and TSO support
    - hinic: Fix l4_type parameter in hinic_task_set_tunnel_l4
    - net-next/hinic:replace multiply and division operators
    - net-next/hinic:add rx checksum offload for HiNIC
    - net-next/hinic:fix a bug in set mac address
    - net-next/hinic: fix a bug in rx data flow
    - net: hinic: fix null pointer dereference on pointer hwdev
    - hinic: optmize rx refill buffer mechanism
    - net-next/hinic:add shutdown callback
    - net-next/hinic: replace disable_irq_nosync/enable_irq

  * [CONFIG] please enable highdpi font FONT_TER16x32 (LP: #1819881)
    - Fonts: New Terminus large console font
    - [Config]: enable highdpi Terminus 16x32 font support

  * [19.04 FEAT] qeth: Enhanced link speed - kernel part (LP: #1814892)
    - s390/qeth: report 25Gbit link speed

  * Avoid potential memory corruption on HiSilicon SoCs (LP: #1819546)
    - iommu/arm-smmu-v3: Avoid memory corruption from Hisilicon MSI payloads

  * CVE-2017-5715
    - x86/speculation: Apply IBPB more strictly to avoid cross-process data leak
    - x86/speculation: Propagate information about RSB filling mitigation to sysfs
    - x86/speculation: Add RETPOLINE_AMD support to the inline asm CALL_NOSPEC
      variant
    - x86/retpoline: Make CONFIG_RETPOLINE depend on compiler support
    - x86/retpoline: Remove minimal retpoline support
    - x86/speculation: Update the TIF_SSBD comment
    - x86/speculation: Clean up spectre_v2_parse_cmdline()
    - x86/speculation: Remove unnecessary ret variable in cpu_show_common()
    - x86/speculation: Move STIPB/IBPB string conditionals out of
      cpu_show_common()
    - x86/speculation: Disable STIBP when enhanced IBRS is in use
    - x86/speculation: Rename SSBD update functions
    - x86/speculation: Reorganize speculation control MSRs update
    - sched/smt: Make sched_smt_present track topology
    - x86/Kconfig: Select SCHED_SMT if SMP enabled
    - sched/smt: Expose sched_smt_present static key
    - x86/speculation: Rework SMT state change
    - x86/l1tf: Show actual SMT state
    - x86/speculation: R...

Read more...

Changed in linux (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (14.6 KiB)

This bug was fixed in the package linux - 4.15.0-48.51

---------------
linux (4.15.0-48.51) bionic; urgency=medium

  * linux: 4.15.0-48.51 -proposed tracker (LP: #1822820)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction

  * 3b080b2564287be91605bfd1d5ee985696e61d3c in ubuntu_btrfs_kernel_fixes
    triggers system hang on i386 (LP: #1812845)
    - btrfs: raid56: properly unmap parity page in finish_parity_scrub()

  * [P9][LTCTest][Opal][FW910] cpupower monitor shows multiple stop Idle_Stats
    (LP: #1719545)
    - cpupower : Fix header name to read idle state name

  * [amdgpu] screen corruption when using touchpad (LP: #1818617)
    - drm/amdgpu/gmc: steal the appropriate amount of vram for fw hand-over (v3)
    - drm/amdgpu: Free VGA stolen memory as soon as possible.

  * [SRU][B/C/OEM]IOMMU: add kernel dma protection (LP: #1820153)
    - ACPICA: AML parser: attempt to continue loading table after error
    - ACPI / property: Allow multiple property compatible _DSD entries
    - PCI / ACPI: Identify untrusted PCI devices
    - iommu/vt-d: Force IOMMU on for platform opt in hint
    - iommu/vt-d: Do not enable ATS for untrusted devices
    - thunderbolt: Export IOMMU based DMA protection support to userspace
    - iommu/vt-d: Disable ATS support on untrusted devices

  * Add basic support to NVLink2 passthrough (LP: #1819989)
    - powerpc/powernv/npu: Do not try invalidating 32bit table when 64bit table is
      enabled
    - powerpc/powernv: call OPAL_QUIESCE before OPAL_SIGNAL_SYSTEM_RESET
    - powerpc/powernv: Export opal_check_token symbol
    - powerpc/powernv: Make possible for user to force a full ipl cec reboot
    - powerpc/powernv/idoa: Remove unnecessary pcidev from pci_dn
    - powerpc/powernv: Move npu struct from pnv_phb to pci_controller
    - powerpc/powernv/npu: Move OPAL calls away from context manipulation
    - powerpc/pseries/iommu: Use memory@ nodes in max RAM address calculation
    - powerpc/pseries/npu: Enable platform support
    - powerpc/pseries: Remove IOMMU API support for non-LPAR systems
    - powerpc/powernv/npu: Check mmio_atsd array bounds when populating
    - powerpc/powernv/npu: Fault user page into the hypervisor's pagetable

  * Huawei Hi1822 NIC has poor performance (LP: #1820187)
    - net-next: hinic: fix a problem in free_tx_poll()
    - hinic: remove ndo_poll_controller
    - net-next/hinic: add checksum offload and TSO support
    - hinic: Fix l4_type parameter in hinic_task_set_tunnel_l4
    - net-next/hinic:replace multiply and division operators
    - net-next/hinic:add rx checksum offload for HiNIC
    - net-next/hinic:fix a bug in set mac address
    - net-next/hinic: fix a bug in rx data flow
    - net: hinic: fix null pointer dereference on pointer hwdev
    - hinic: optmize rx refill buffer mechanism
    - net-next/hinic:add shutdown callback
    - net-next/hinic: replace disable_irq_nosync/enable_irq

  * [CONFIG] please enable highdpi font FONT_TER16x32 (LP: #1819881)
    - Fonts: New Terminus large console font
    - [Config]: enable highdpi Terminus 16x32 font support

  * [19.04 FEAT] qeth: Enhanced link...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.